Bug 1121612 - [Trends] Host Utilization is NOT showing the charts for ALL the mounted disk partitions
Summary: [Trends] Host Utilization is NOT showing the charts for ALL the mounted disk ...
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: rhsc
Version: rhgs-3.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: ---
Assignee: Ramesh N
QA Contact: RHS-C QE
URL:
Whiteboard:
Depends On:
Blocks: 1087818
TreeView+ depends on / blocked
 
Reported: 2014-07-21 11:27 UTC by Prasanth
Modified: 2018-01-29 15:13 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Known Issue
Doc Text:
The mount points for a host can not be detected from Trends tab in Red Hat Storage Console GUI.
Clone Of:
Environment:
Last Closed: 2018-01-29 15:13:18 UTC


Attachments (Terms of Use)
Host1-Trends graph (221.52 KB, image/png)
2014-07-21 11:32 UTC, Prasanth
no flags Details
Host2-Trends graph (299.13 KB, image/png)
2014-07-21 11:32 UTC, Prasanth
no flags Details
Host3-Trends graph (225.71 KB, image/png)
2014-07-21 11:33 UTC, Prasanth
no flags Details
Host4-Trends graph (218.45 KB, image/png)
2014-07-21 11:33 UTC, Prasanth
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1167425 None CLOSED [RHSC] RFE: More detail required for disk and brick utilization graphs 2019-02-28 21:45:45 UTC

Internal Links: 1167425

Description Prasanth 2014-07-21 11:27:37 UTC
Description of problem: Host Utilization is NOT showing the charts for ALL the mounted disk partitions. To be more specific, the graphs for last 2 disk partitions are missing for all the hosts.


Version-Release number of selected component (if applicable):
rhsc-3.0.0-0.12.el6rhs.noarch
rhsc-monitoring-uiplugin-0.1.1-1.el6rhs.noarch

How reproducible: Always

My test setup is a RHSC + Nagios Setup with 4 RHS 3.0 nodes in a cluster called "DocCluster". Look for more details under Additional info.

Steps to Reproduce:

1. Login to RHSC
2. From the 'Tree' mode, Select any Host and click on the "Trends" tab and see the graphs


Actual results: The trends tab is showing the utilization graphs for all the physical entities like CPU, Memory, Swap, Network-Interfaces and Disks. But out of 4 mounted disk partitions (/rhs/brick1, /rhs/brick2, /rhs/brick3 and /rhs/brick4), the last two are NOT shown (/rhs/brick3 and /rhs/brick4) at all. This is the case with all the 4 nodes in the cluster.

If that is the case, I believe that last 2 mounted disk in a host will NOT be shown at all. For ex: If there are 8 mounted disks, only 6 will be shown in Trends. Is that right?

Expected results: The trends tab should show the utilization graphs for all the physical entities like CPU, Memory, Swap, Network-Interfaces and ALL mounted disk partitions.


Additional info: Screenshots attached. Some additional details about the test setup is given below for your reference:

##################################################
[root@dhcp42-241 /]# gluster peer status
Number of Peers: 3

Hostname: 10.70.43.90
Uuid: de710f3d-16b9-4089-a44c-4c9e2b2e7452
State: Peer in Cluster (Connected)

Hostname: 10.70.43.179
Uuid: 704a62ba-b918-4f2c-bbde-99c7849d0f0f
State: Peer in Cluster (Connected)

Hostname: 10.70.42.239
Uuid: 6906637d-2630-41bf-83c1-1dca3b52d1ff
State: Peer in Cluster (Connected)

_______________________________________________________
[root@dhcp42-241 /]# df -h
Filesystem            Size  Used Avail Use% Mounted on
/dev/mapper/vg_dhcp42228-lv_root
                       47G  2.4G   43G   6% /
tmpfs                 4.0G     0  4.0G   0% /dev/shm
/dev/vda1             485M   34M  426M   8% /boot
/dev/mapper/RHS_vg1-RHS_lv1
                       50G   49G  2.0G  97% /rhs/brick1
/dev/mapper/RHS_vg2-RHS_lv2
                       50G   33M   50G   1% /rhs/brick2
/dev/mapper/RHS_vg3-RHS_lv3
                       50G   49G  2.0G  97% /rhs/brick3
/dev/mapper/RHS_vg4-RHS_lv4
                       50G   49G  2.0G  97% /rhs/brick4

_______________________________________________________
[root@dhcp43-90 /]# df -h
Filesystem            Size  Used Avail Use% Mounted on
/dev/mapper/vg_dhcp42228-lv_root
                       47G  2.4G   43G   6% /
tmpfs                 4.0G     0  4.0G   0% /dev/shm
/dev/vda1             485M   34M  426M   8% /boot
/dev/mapper/RHS_vg1-RHS_lv1
                       50G   49G  2.0G  97% /rhs/brick1
/dev/mapper/RHS_vg2-RHS_lv2
                       50G   49G  2.0G  97% /rhs/brick2
/dev/mapper/RHS_vg3-RHS_lv3
                       50G   49G  2.0G  97% /rhs/brick3
/dev/mapper/RHS_vg4-RHS_lv4
                       50G   49G  2.0G  97% /rhs/brick4

_______________________________________________________
[root@dhcp43-179 /]# df -h
Filesystem            Size  Used Avail Use% Mounted on
/dev/mapper/vg_dhcp42228-lv_root
                       47G  2.0G   43G   5% /
tmpfs                 4.0G     0  4.0G   0% /dev/shm
/dev/vda1             485M   34M  426M   8% /boot
/dev/mapper/RHS_vg1-RHS_lv1
                       50G   49G  2.0G  97% /rhs/brick1
/dev/mapper/RHS_vg2-RHS_lv2
                       50G   49G  2.0G  97% /rhs/brick2
/dev/mapper/RHS_vg3-RHS_lv3
                       50G   49G  2.0G  97% /rhs/brick3
/dev/mapper/RHS_vg4-RHS_lv4
                       50G   49G  2.0G  97% /rhs/brick4

_______________________________________________________
[root@dhcp42-239 /]# df -h
Filesystem            Size  Used Avail Use% Mounted on
/dev/mapper/vg_dhcp42228-lv_root
                       47G  2.4G   43G   6% /
tmpfs                 4.0G     0  4.0G   0% /dev/shm
/dev/vda1             485M   34M  426M   8% /boot
/dev/mapper/RHS_vg1-RHS_lv1
                       50G   49G  2.0G  97% /rhs/brick1
/dev/mapper/RHS_vg2-RHS_lv2
                       50G   33M   50G   1% /rhs/brick2
/dev/mapper/RHS_vg3-RHS_lv3
                       50G   49G  2.0G  97% /rhs/brick3
/dev/mapper/RHS_vg4-RHS_lv4
                       50G   49G  2.0G  97% /rhs/brick4
##################################################

Comment 1 Prasanth 2014-07-21 11:32:13 UTC
Created attachment 919609 [details]
Host1-Trends graph

Comment 2 Prasanth 2014-07-21 11:32:40 UTC
Created attachment 919610 [details]
Host2-Trends graph

Comment 3 Prasanth 2014-07-21 11:33:07 UTC
Created attachment 919611 [details]
Host3-Trends graph

Comment 4 Prasanth 2014-07-21 11:33:32 UTC
Created attachment 919612 [details]
Host4-Trends graph

Comment 5 Shalaka 2014-07-25 09:38:20 UTC
Please review edited doc text and sign off.

Comment 6 anmol babu 2014-08-01 11:53:38 UTC
Looks Good to me

Comment 8 Ramesh N 2014-09-25 11:13:25 UTC
Currently technically its not possible to get the list of all mount points to display graph for each them. Hence moving this out of 3.0.2.

Comment 16 Sahina Bose 2018-01-29 15:13:18 UTC
Thank you for your report. This bug is filed against a component for which no further new development is being undertaken


Note You need to log in before you can comment on or make changes to this bug.